summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-07-25 21:55:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-25 21:55:03 +0700
commit684cfd746a819e67a413d7e7f3377cca9d099cf0 (patch)
tree02a81df9b3d2606e498705e917751450213312d9
parent9b216c674b95ed8183add92e990ea0be759e5ec2 (diff)
downloadslackbuilds-684cfd746a819e67a413d7e7f3377cca9d099cf0.tar.gz
slackbuilds-684cfd746a819e67a413d7e7f3377cca9d099cf0.tar.xz
audio/xcfa: Add (Audio Converter & Splitter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/xcfa/README29
-rw-r--r--audio/xcfa/doinst.sh3
-rw-r--r--audio/xcfa/slack-desc19
-rw-r--r--audio/xcfa/xcfa.SlackBuild103
-rw-r--r--audio/xcfa/xcfa.info10
5 files changed, 164 insertions, 0 deletions
diff --git a/audio/xcfa/README b/audio/xcfa/README
new file mode 100644
index 0000000000..257eb103e5
--- /dev/null
+++ b/audio/xcfa/README
@@ -0,0 +1,29 @@
+xcfa (Powerful Audio Converter & Splitter for Linux)
+
+XCFA is a tool to extract the contens of Audio-CDs and convert
+musical audio files conversion to FLAC, WAV, OGG, M4A, MPC, MP3,
+WavPack and many others.
+
+Features:
+
+ * Handling of frequency, track and bits.
+ * Handling of files shared volume before a recording.
+ * Web retrieval of Audio-CD information during treatment.
+ * Small cover creation for Audio-CDs.
+
+Optional dependencies:
+
+ * cdrkit
+ * a52dec
+ * faac
+ * faad2
+ * cd-discid
+ * lame
+ * mac
+ * mp3check
+ * mp3gain
+ * musepack-tools
+ * shntool
+ * shorten
+ * vorbisgain
+ * lsdvd
diff --git a/audio/xcfa/doinst.sh b/audio/xcfa/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/xcfa/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/xcfa/slack-desc b/audio/xcfa/slack-desc
new file mode 100644
index 0000000000..0182eba78e
--- /dev/null
+++ b/audio/xcfa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xcfa: xcfa (Powerful Audio Converter & Splitter for Linux)
+xcfa:
+xcfa: XCFA is a tool to extract the contens of Audio-CDs and convert
+xcfa: musical audio files conversion to FLAC, WAV, OGG, M4A, MPC, MP3,
+xcfa: WavPack and many others.
+xcfa:
+xcfa: Home Page: http://www.xcfa.tuxfamily.org/static2/xcfa/
+xcfa:
+xcfa:
+xcfa:
+xcfa:
diff --git a/audio/xcfa/xcfa.SlackBuild b/audio/xcfa/xcfa.SlackBuild
new file mode 100644
index 0000000000..893b70fbff
--- /dev/null
+++ b/audio/xcfa/xcfa.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+#
+# Slackware build script for xcfa.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xcfa
+VERSION=${VERSION:-5.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README TODO"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/xcfa/xcfa.info b/audio/xcfa/xcfa.info
new file mode 100644
index 0000000000..12b15a747f
--- /dev/null
+++ b/audio/xcfa/xcfa.info
@@ -0,0 +1,10 @@
+PRGNAM="xcfa"
+VERSION="5.0.2"
+HOMEPAGE="http://www.xcfa.tuxfamily.org/static2/xcfa"
+DOWNLOAD="http://download.tuxfamily.org/xcfaudio/xcfa_download/src/xcfa-5.0.2.tar.gz"
+MD5SUM="662c52d87ba1cbb948a0444cc844c7a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="vte3"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"